; IDL Version 4.0.1 (Win32 x86)
; Journal File for user@Microsoft Windows Host
; Working directory: C:\RSI\IDL40
; Date: Mon Jan 29 15:53:36 1996
 
window,0
set_isoxy
; Set data window with equal x & y scales.  Covers at least given range.
; set_isoxy, xmn, xmx, ymn, ymx
;   xmn, xmx = desired min and max X.        in
;   ymn, ymx = desired min and max Y.        in
; Keywords:
;   /LIST = list actual window that is set.
;   XLOCK = position where position is one of
;           'xmn' to extend window upward from the min x.
;           'xmd' to extend window outward from the mid x.
;           'xmx' to extend window downward from the max x.
;   YLOCK = position where position is one of
;           'ymn' to extend window upward from the min y.
;           'ymd' to extend window outward from the mid y.
;           'ymx' to extend window downward from the max y.
;   NXRANGE = [nx_min, nx_max] sets x pos. in norm. coord.
;           Min and max normalized x.  Def = [0., 1.]
;   NYRANGE = [ny_min, ny_max] sets y pos. in norm. coord.
;           Min and max normalized y.  Def = [0., 1.]
; Notes:
;   Either xmn, xmx or ymn, ymx will be adjusted to force
;   equal scaling in X and Y in the current screen window.
;   At least the specified range will be covered in both X
;   and Y, but a greater range will be covered in one.
;   The window middle or corners may be fixed.
;   set_isoxy,0,0,0,0 (or set_isoxy,0) resets autoscaling.
set_isoxy,-200,200,-200,200,xlock='xmd',ylock='ymd'
axis,0,0,/xaxis
axis,0,0,/yaxis
r=findgen(200)
rp=r+1e-4
ir=1./r
; % Program caused arithmetic error: Floating divide by 0
ir=1./rp
hlp,ir
;       1   Float array (200).   Min = 0.00502512,  Max = 10000.0
window,2
plot,ir
wdelete,2
c=1e4
v=c/rp
print,v(0:9)
; 1.00000e+008      9999.00      4999.75      3333.22      2499.94      1999.96      1666.64
;      1428.55      1249.98      1111.10
print,v(190:199)
;      52.6315      52.3560      52.0833      51.8134      51.5464      51.2820      51.0204
;      50.7614      50.5050      50.2512
print,v(100)
;      99.9999
a=dist(401) & help,dist
a=dist(401) & help,q
a=dist(401) & help,a
hlp,a
;       1   Float array (401, 401).   Min = 0.000000,  Max = 282.843
tvsi,a,win=2
wdelete,2
a=shift(a,200,200)
tvsi,a,win=2
wdelete,2
hlp,a
;       1   Float array (401, 401).   Min = 0.000000,  Max = 282.843
a=a+1e-4
v=100./a
contour,v,findgen(401)-200,findgen(401)-200,levels=findgen(15)*10+50
window,2
contour,v,findgen(401)-200,findgen(401)-200,levels=findgen(15)*10+50
wdelete,2
hlp,v
;       1   Float array (401, 401).   Min = 0.353553,  Max = 1.00000e+006
window,2
contour,v,findgen(401)-200,findgen(401)-200,levels=findgen(15)+50
contour,v,findgen(401)-200,findgen(401)-200,levels=findgen(15)*0.1+0.03
contour,v,findgen(401)-200,findgen(401)-200,levels=findgen(25)*0.1+0.03,xrange=[-200,200],yrange=[-200,200]
set_isoxy,-200,200,-200,200
contour,v,findgen(401)-200,findgen(401)-200,levels=findgen(25)*0.1+0.03,xrange=[-200,200],yrange=[-200,200]
wdelete,0
wdelete,2
contour,v,findgen(401)-200,findgen(401)-200,levels=findgen(25)*0.1+0.03
psopen,'\ep324\freevort.ps'
psclose
psopen,'\ep324\freevort.ps',/long
device,xsize=7.0,ysize=7.0,/inches
contour,v,findgen(401)-200,findgen(401)-200,levels=findgen(25)*0.1+0.03
psclose
psopen,'\ep324\freevort.ps',/long
device,xsize=7.0,ysize=7.0,/inches
set_isoxy,-200,200,-200,200
contour,v,findgen(401)-200,findgen(401)-200,levels=findgen(25)*0.1+0.03
psclose
